Loading...
Searching...
No Matches
CMainMovie Class Reference

## Public Member Functions

void | Flush ()
bool | Start (MainMovieType type, float time)
bool | Stop ()
bool | IsExist ()
bool | EventProcess (const Event &event)
MainMovieType | GetType ()
MainMovieType | GetStopType ()

## Protected Attributes

Gfx::CEngine * | m_engine
CRobotMain * | m_main
Gfx::CCamera * | m_camera
CSoundInterface * | m_sound
MainMovieType | m_type
MainMovieType | m_stopType
float | m_speed
float | m_progress
Math::Vector | m_initialEye
Math::Vector | m_initialLookat
Math::Vector | m_finalEye [2]
Math::Vector | m_finalLookat [2]

The documentation for this class was generated from the following files:

- src/level/mainmovie.h
- src/level/mainmovie.cpp